#
# spec file for package perl-Sys-Hostname-Long
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sys-Hostname-Long
Version:        1.5
Release:        2.25
%define cpan_name Sys-Hostname-Long
Summary:        Try every conceivable way to get full hostname
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sys-Hostname-Long/
Source:         http://www.cpan.org/authors/id/S/SC/SCOTT/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# hostname is needed for the test suite
BuildRequires:  hostname
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
How to get the host full name in perl on multiple operating systems (mac,
windows, unix* etc)

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Jul 12 2017 dimstar@opensuse.org
- Add explicit hostname BuildRequires: rpm-build's dependency on
  net-tools (which pulled in hostname) has been eliminated.
* Sat Feb  7 2015 coolo@suse.com
- updated to 1.5
  Improvements by Michiel Bejen <michiel.beijen@gmail.com>
* Wed Mar 27 2013 rschweikert@suse.com
- disable perl-macros as BuildRequires for openSUSE >= 12.2
- change implemented by rusjako
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon May 24 2010 coolo@novell.com
- do not build noarch
* Wed Apr  7 2010 chris@computersalat.de
- cleanup spec
  o fixed HEADER, TAGS, deps, macros, description
- added perl-macros
- moved changelog to changes file
  Fr Mär  3 10:42:51 UTC 2006 - dries@ulyssis.org
- Initial package.
